Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemMap

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemMapBase
              net.minecraft.src.ItemMap

    public class ItemMap

extends ItemMapBase

Field Summary

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_85180_cf, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potatoe, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Method Summary
`void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4)`
`Packet` | `createMapDataPacket(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` returns null if no update is to be sent
`MapData` | `getMapData(ItemStack par1ItemStack, World par2World)`
`static MapData` | `getMPMapData(short par0, World par1World)`
`void` | `onCreated(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` Called when item is crafted/smelted.
`void` | `onUpdate(ItemStack par1ItemStack, World par2World, Entity par3Entity, int par4, boolean par5)` Called each tick as long the item is on a player inventory.
`void` | `updateMapData(World par1World, Entity par2Entity, MapData par3MapData)`

Methods inherited from class net.minecraft.src.ItemMapBase
`isMap`

Methods inherited from class net.minecraft.src.Item
`canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconFromItemStackForMultiplePasses, getIconIndex, getIconIndex, getIsRepairable, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMPMapData

    public static MapData getMPMapData(short par0,
                                       World par1World)

### getMapData

    public MapData getMapData(ItemStack par1ItemStack,
                              World par2World)

### updateMapData

    public void updateMapData(World par1World,
                              Entity par2Entity,
                              MapData par3MapData)

### onUpdate

    public void onUpdate(ItemStack par1ItemStack,
                         World par2World,
                         Entity par3Entity,
                         int par4,
                         boolean par5)

  Called each tick as long the item is on a player inventory. Uses by maps to check if is on a player hand and update it's contents.

  Overrides:
    `onUpdate` in class `Item`

### createMapDataPacket

    public Packet createMapDataPacket(ItemStack par1ItemStack,
                                      World par2World,
                                      EntityPlayer par3EntityPlayer)

  returns null if no update is to be sent

  Overrides:
    `createMapDataPacket` in class `ItemMapBase`

### onCreated

    public void onCreated(ItemStack par1ItemStack,
                          World par2World,
                          EntityPlayer par3EntityPlayer)

  Called when item is crafted/smelted. Used only by maps so far.

  Overrides:
    `onCreated` in class `Item`

### addInformation

    public void addInformation(ItemStack par1ItemStack,
                               EntityPlayer par2EntityPlayer,
                               List par3List,
                               boolean par4)

  Overrides:
    `addInformation` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD